Bug 1646200

Summary: CVE-2018-14654 glusterfs: "features/index" translator can create arbitrary, empty files [fedora-all]
Product: [Community] GlusterFS Reporter: Ravishankar N <ravishankar>
Component: indexAssignee: Ravishankar N <ravishankar>
Status: CLOSED CURRENTRELEASE QA Contact:
Severity: medium Docs Contact:
Priority: medium    
Version: 4.1CC: anoopcs, atumball, bugs, extras-qa, humble.devassy, jonathansteffan, kkeithle, matthias, ndevos, ramkrsna, ravishankar, sisharma, srangana
Target Milestone: ---Keywords: Security, SecurityTracking, Triaged
Target Release: ---   
Hardware: Unspecified   
OS: Unspecified   
Whiteboard:
Fixed In Version: glusterfs-4.1.6 Doc Type: Release Note
Doc Text:
Story Points: ---
Clone Of: 1644760 Environment:
Last Closed: 2018-11-29 15:26:23 UTC Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:
Bug Depends On: 1644580, 1644760, 1646204    
Bug Blocks: 1631576, 1638055    

Description Ravishankar N 2018-11-05 11:16:14 UTC
+++ This bug was initially created as a clone of Bug #1644760 +++

+++ This bug was initially created as a clone of Bug #1644580 +++


This is an automatically created tracking bug!  It was created to ensure
that one or more security vulnerabilities are fixed in affected versions
of fedora-all.

For comments that are specific to the vulnerability please use bugs filed
against the "Security Response" product referenced in the "Blocks" field.

For more information see:
http://fedoraproject.org/wiki/Security/TrackingBugs

When submitting as an update, use the fedpkg template provided in the next
comment(s).  This will include the bug IDs of this tracking bug as well as
the relevant top-level CVE bugs.

Please also mention the CVE IDs being fixed in the RPM changelog and the
fedpkg commit message.

NOTE: this issue affects multiple supported versions of Fedora. While only
one tracking bug has been filed, please correct all affected versions at
the same time.  If you need to fix the versions independent of each other,
you may clone this bug as appropriate.

--- Additional comment from Siddharth Sharma on 2018-10-31 04:12:04 EDT ---

Use the following template to for the 'fedpkg update' request to submit an
update for this issue as it contains the top-level parent bug(s) as well as
this tracking bug.  This will ensure that all associated bugs get updated
when new packages are pushed to stable.

=====

# bugfix, security, enhancement, newpackage (required)
type=security

# testing, stable
request=testing

# Bug numbers: 1234,9876
bugs=1631576,1644580

# Description of your update
notes=Security fix for [PUT CVEs HERE]

# Enable request automation based on the stable/unstable karma thresholds
autokarma=True
stable_karma=3
unstable_karma=-3

# Automatically close bugs when this marked as stable
close_bugs=True

# Suggest that users restart after update
suggest_reboot=False

======

Additionally, you may opt to use the bodhi web interface to submit updates:

https://bodhi.fedoraproject.org/updates/new

--- Additional comment from Worker Ant on 2018-11-01 12:10:40 EDT ---

REVIEW: https://review.gluster.org/21534 (index: prevent arbitrary file creation outside entry-changes folder) posted (#1) for review on master by Ravishankar N

--- Additional comment from Worker Ant on 2018-11-05 05:51:38 EST ---

REVIEW: https://review.gluster.org/21534 (index: prevent arbitrary file creation outside entry-changes folder) posted (#2) for review on master by Pranith Kumar Karampuri

Comment 1 Worker Ant 2018-11-05 11:18:37 UTC
REVIEW: https://review.gluster.org/21559 (index: prevent arbitrary file creation outside entry-changes folder) posted (#1) for review on release-4.1 by Ravishankar N

Comment 2 Worker Ant 2018-11-06 16:14:05 UTC
REVIEW: https://review.gluster.org/21559 (index: prevent arbitrary file creation outside entry-changes folder) posted (#2) for review on release-4.1 by Shyamsundar Ranganathan

Comment 3 Shyamsundar 2018-11-29 15:26:23 UTC
This bug is getting closed because a release has been made available that should address the reported issue. In case the problem is still not fixed with glusterfs-4.1.6, please open a new bug report.

glusterfs-4.1.6 has been announced on the Gluster mailinglists [1], packages for several distributions should become available in the near future. Keep an eye on the Gluster Users mailinglist [2] and the update infrastructure for your distribution.

[1] https://lists.gluster.org/pipermail/announce/2018-November/000116.html
[2] https://www.gluster.org/pipermail/gluster-users/